seduction
 Language:
Welcome, Guest. Please login or register.
Did you miss your activation email?
2019/12/07, 02:31:21


Help

Author [EN] [PL] [ES] [PT] [IT] [DE] [FR] [NL] [TR] [SR] [AR] [RU] Topic: KMail problem after du  (Read 2026 times)

0 Members and 1 Guest are viewing this topic.

Offline vayu

  • User
  • Posts: 200
KMail problem after du
« on: 2014/01/14, 23:29:27 »
When I run KMail, it indexes my folders (on several IMAP accounts) then shows the number of mails in each folder, it then indexes them again and shows a different number. This process repeats over and over.

This happened immediately after du today (Jan. 14).

I let it do it for a long time and it eventually came up with what seemed like it could be the right amount of emails that I expect, but then it immediately started over again and came up with a different number.  Now I looked in the IMAP accounts folder on the server, it seems like there aren't the same number of emails in the inbox as I remember.  It has only 20 or so and I used to have at least 1200.

Could the versions be a problem? My system is showing KDE 4.12.1 and KMail shows 4.11.2.
"KMail
Version 4.11.2
Using KDE Development Platform 4.12.1"


Offline vayu

  • User
  • Posts: 200
Re: KMail problem after du
« Reply #1 on: 2014/01/14, 23:36:11 »
Could someone please help to look at my sources.list, especially for KDE?  http://paste.siduction.org/20140114223340

Offline Santa

  • User
  • Posts: 261
  • siduction's KDE packager
Re: KMail problem after du
« Reply #2 on: 2014/01/15, 00:17:17 »
Could someone please help to look at my sources.list, especially for KDE?  http://paste.siduction.org/20140114223340


So you are using the new kmail, I'm working on upgrading kdepim-ng which might fix your problem.
Sometimes standing for what you believe means standing alone.

Offline vayu

  • User
  • Posts: 200
Re: KMail problem after du
« Reply #3 on: 2014/01/15, 01:59:14 »
Thank you. Yes it's KMail2. It's been working but after today it's completely broken.


Offline vayu

  • User
  • Posts: 200
Re: KMail problem after du
« Reply #4 on: 2014/01/26, 23:57:25 »
Could someone please help to look at my sources.list, especially for KDE?  http://paste.siduction.org/20140114223340


So you are using the new kmail, I'm working on upgrading kdepim-ng which might fix your problem.

Has there been an upgrade?  Will it just show up when I du or should I do something specific?

Offline devil

  • Administrator
  • User
  • *****
  • Posts: 4.377
Re: KMail problem after du
« Reply #5 on: 2014/01/27, 00:13:20 »
you can either do
Code: [Select]
apt-cache policy kmail or
Code: [Select]
apt-get install kmailto see upgrades if you do not want to d-u.


greetz
devil
« Last Edit: 2014/01/27, 00:58:12 by devil »

Offline vayu

  • User
  • Posts: 200
Re: KMail problem after du
« Reply #6 on: 2014/01/27, 00:32:23 »
you can either do
Code: [Select]
apt-cache policy kmail or apt-get install kmail to see upgrades if you do not want to d-u.


greetz
devil

Thanks.  I just did a du, this is what I have for kmail:

Code: [Select]
prajipati:~$ apt-cache policy kmail
kmail:
  Installed: 4:4.11.5+really4.11.2-91r0
  Candidate: 4:4.11.5+really4.11.2-91r0
  Version table:
 *** 4:4.11.5+really4.11.2-91r0 0
        500 http://packages.siduction.org/kdenext/ kdepim-ng/main amd64 Packages
        100 /var/lib/dpkg/status
     4:4.11.5+really4.4.11.1+l10n-0r1 0
        500 http://ftp.uni-stuttgart.de/siduction/kdenext/ unstable/main amd64 Packages
     4:4.11.3-1 0
        500 http://http.debian.net/debian/ unstable/main amd64 Packages
prajipati:~$ sudo apt-get install kmail
[sudo] password for satyam:
Reading package lists... Done
Building dependency tree       
Reading state information... Done
kmail is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 2 not upgraded.

I'm hoping when kmail matches the rest of my KDE which is on 4.12.1 that I can start using it again.


Offline hefee

  • User
  • Posts: 392
Re: KMail problem after du
« Reply #7 on: 2014/01/30, 23:57:03 »
I have now created debian packages for the kdepim 4.12.1 and for me the problem is solved :)
But actually I can't tell you if my packages would eat little cats, that's why I only give you a link to the sources:
https://github.com/hefee/kdepim/tree/siduction

Maybe a downgrade of akonadi will solve this problem temporarly.